Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
eztrade/admin/categoryedit.php File Reference

Go to the source code of this file.

## Variables
if(isset( $Cancel)) if(isset( $DeleteCategories)) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
if(isset( $Action) && $Action=="New") if((isset( $AddImages)) and(is_numeric( $CategoryID)) and(is_numeric( $ImageID))) if(isset( $Action) && $Action=="Insert") if(isset( $Action) && $Action=="Update") if(isset( $Action) && $Action=="Delete") if(isset( $Action) && $Action=="DeleteCategories") if(isset( $Action) && $Action=="CopyCategoires") | $t
| $headline = new eZINI( "kernel/eztrade/admin/intl/" . $Language . "/categoryedit.php.ini", false )
| $category = new eZProductCategory()
| $categoryArray = $category->getTree( )
| $writeGroupsID = array()
| $readGroupsID = array()
if(isset( $Action) && $Action=="Edit") foreach( $categoryArray as $catItem) | $sectionList =& eZSection::getAll()
| $group = new eZUserGroup()
| $groupList = $group->getAll()
| $writeAllGroupFound = false
if(in_array("-1", $readGroupsID)) | else
| $readAllGroupFound = false

## Variable Documentation

## ◆ $category

$category = new eZProductCategory()

Definition at line 360 of file eztrade/admin/categoryedit.php.

## ◆ $categoryArray

$categoryArray = $category->getTree( )

Definition at line 362 of file eztrade/admin/categoryedit.php.

## ◆ $group

$group = new eZUserGroup()

Definition at line 507 of file eztrade/admin/categoryedit.php.

## ◆ $groupList

$groupList = $group->getAll()

Definition at line 508 of file eztrade/admin/categoryedit.php.

## ◆ $headline

$headline = new eZINI( "kernel/eztrade/admin/intl/" . $Language . "/categoryedit.php.ini", false )

Definition at line 357 of file eztrade/admin/categoryedit.php.

## ◆ $ini

if (isset($Cancel)) if (isset($DeleteCategories)) $ini =& eZINI::instance( 'site.ini' )

Definition at line 44 of file eztrade/admin/categoryedit.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 45 of file eztrade/admin/categoryedit.php.

## ◆ $readAllGroupFound

$readAllGroupFound = false

Definition at line 523 of file eztrade/admin/categoryedit.php.

## ◆ $readGroupsID

$readGroupsID = array()

Definition at line 375 of file eztrade/admin/categoryedit.php.

## ◆ $sectionList

if (isset($Action) &&$Action=="Edit") foreach ($categoryArray as $catItem) $sectionList =& eZSection::getAll()

Definition at line 485 of file eztrade/admin/categoryedit.php.

## ◆ $t

if (isset($Action) &&$Action=="New") if ((isset($AddImages)) and(is_numeric($CategoryID)) and(is_numeric($ImageID))) if (isset($Action) &&$Action=="Insert") if (isset($Action) &&$Action=="Update") if (isset($Action) &&$Action=="Delete") if (isset($Action) &&$Action=="DeleteCategories") if (isset($Action) &&$Action=="CopyCategoires") $t

Initial value:
= new eZTemplate( "kernel/eztrade/admin/" . $ini->variable( "eZTradeMain", "AdminTemplateDir" ),
"kernel/eztrade/admin/intl/", $Language, "categoryedit.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
if(isset( $Cancel)) if(isset( $DeleteCategories)) $ini
Definition: eztrade/admin/categoryedit.php:44
$Language
$Language
Definition: eztrade/admin/categoryedit.php:45

Definition at line 341 of file eztrade/admin/categoryedit.php.

## ◆ $writeAllGroupFound

$writeAllGroupFound = false

Definition at line 512 of file eztrade/admin/categoryedit.php.

## ◆ $writeGroupsID

$writeGroupsID = array()

Definition at line 374 of file eztrade/admin/categoryedit.php.

## ◆ else

if (in_array("-1", $writeGroupsID)) else

Initial value:
{
$t->set_var( "all_selected", "" )
$t
if(isset( $Action) && $Action=="New") if((isset( $AddImages)) and(is_numeric( $CategoryID)) and(is_numeric( $ImageID))) if(isset( $Action) && $Action=="Insert") if(isset( $Action) && $Action=="Update") if(isset( $Action) && $Action=="Delete") if(isset( $Action) && $Action=="DeleteCategories") if(isset( $Action) && $Action=="CopyCategoires") $t
Definition: eztrade/admin/categoryedit.php:341

Definition at line 518 of file eztrade/admin/categoryedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.